List Videos
curl --request GET \
--url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "a927290e-b0ae-4d27-a46d-50089ead2610",
"name": "Test video updated",
"description": "this is my description updated",
"status": "created",
"library_id": "0a7e7664-28fd-4d19-a715-855e14d8889f",
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"folder_id": "1d5abf89-295c-45f0-bc21-bcb9185bb9f2",
"metadata": {
"note": "this is my meta data updated"
},
"duration_seconds": null,
"size_bytes": null,
"raw_size_bytes": null,
"created_at": "2025-10-20T17:31:57.400917+06:00",
"updated_at": "2025-10-20T17:37:55.641895+06:00"
},
{
"id": "d833827a-d89a-4afd-ab29-7a95d13480ac",
"name": "Test video",
"description": "",
"status": "created",
"library_id": "0a7e7664-28fd-4d19-a715-855e14d8889f",
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"folder_id": "1d5abf89-295c-45f0-bc21-bcb9185bb9f2",
"metadata": {},
"duration_seconds": null,
"size_bytes": null,
"raw_size_bytes": null,
"created_at": "2025-10-20T16:52:07.192483+06:00",
"updated_at": "2025-10-20T17:55:11.353401+06:00"
},
{
"id": "6de7846d-febc-470a-8327-93dd58b8b032",
"name": "Test video",
"description": "this is my description",
"status": "created",
"library_id": "0a7e7664-28fd-4d19-a715-855e14d8889f",
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"folder_id": "1d5abf89-295c-45f0-bc21-bcb9185bb9f2",
"metadata": {
"note": "this is my meta data"
},
"duration_seconds": null,
"size_bytes": null,
"raw_size_bytes": 158008374,
"created_at": "2025-10-20T18:52:34.025139+06:00",
"updated_at": "2025-10-20T18:52:34.025139+06:00"
}
],
"message": "Videos fetched successfully",
"success": true
}{
"message": "Invalid Request",
"success": false
}{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}{
"message": "Resource not found",
"success": false
}{
"message": "Internal server error",
"success": false
}Video
List Videos
Retrieves a list of all videos within a specific library. Supports filtering, pagination, and sorting to allow efficient browsing of video content.
GET
/
libraries
/
{libraryId}
/
videos
List Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the library.
Response
The response is of type object.
⌘I